package com.update.update.dao;

import com.update.update.bean.fresh;
import org.apache.ibatis.annotations.*;


import org.springframework.stereotype.Component;


@Component
@Mapper
public interface freshMapper {
    @Insert("insert into fresh(VersionId,apkUrl,updateDescription) values(#{VersionId},#{apkUrl},#{updateDescription})")
    int add(fresh learnResouce);


    @DeleteProvider(type = fresh.class, method = "deleteByids")
    int deleteByIds(@Param("ids") String[] ids);


    @Select("SELECT * FROM fresh ORDER BY id DESC LIMIT 1")
    @Results(value = {
            @Result(column = "VersionId", property = "VersionId", javaType = String.class),
            @Result(property = "apkUrl", column = "apkUrl", javaType = String.class),
            @Result(property = "updateDescription", column = "updateDescription", javaType = String.class)
    })
    fresh query();

}